Bug 207446 - evolution crashes
evolution crashes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-21 02:12 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: evolution-data-server-1.8.0-9.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-21 15:05:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 348888 None None None Never

  None (edit)
Description sangu 2006-09-21 02:12:27 EDT
Description of problem:
While using, evolution crashes

Distribution: Fedora Core release 5.92 (FC6 Test3)
Gnome Release: 2.16.0 2006-09-04 (Red Hat, Inc)
BugBuddy Version: 2.16.0

Memory status: size: 215138304 vsize: 0 resident: 215138304 share: 0 rss:
37543936 rss_rlim: 0
CPU usage: start_time: 1158810156 rtime: 0 utime: 506 stime: 0 cutime:358
cstime: 0 timeout: 148 it_real_value: 0 frequency: 70

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread -1208903456 (LWP 4188)]
[New Thread -1389393008 (LWP 4230)]
[New Thread -1368413296 (LWP 4228)]
[New Thread -1347433584 (LWP 4226)]
[New Thread -1310225520 (LWP 4206)]
[New Thread -1299342448 (LWP 4205)]
[New Thread -1288852592 (LWP 4204)]
[New Thread -1278362736 (LWP 4203)]
[New Thread -1234420848 (LWP 4200)]
[New Thread -1244910704 (LWP 4199)]
[New Thread -1223930992 (LWP 4196)]
0xb7f45402 in __kernel_vsyscall ()
#0  0xb7f45402 in __kernel_vsyscall ()
#1  0x00436cab in ?? () from /lib/libpthread.so.0
#2  0x003c9cf6 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:870
#3  0x0805d9c9 in segv_redirect (sig=11) at main.c:426
#4  <signal handler called>
#5  e_dlist_length (l=0x8ae39c8) at e-msgport.c:274
#6  0x002086b4 in e_thread_put (e=0x8ae41f8, msg=0x8ba2fc8) at e-msgport.c:1124
#7  0x0147b718 in mail_sync_folder (folder=0xaef01de8, done=0, data=0x0)
    at mail-ops.c:1501
#8  0x0147f255 in free_folder_info (key=0xaef05638, info=0xaee8ba08, data=0x0)
    at mail-send-recv.c:170
#9  0x0679c456 in IA__g_hash_table_foreach (hash_table=0x8da1ae0, 
    func=0x147f220 <free_folder_info>, user_data=0x0) at ghash.c:662
#10 0x0147f4f1 in receive_done (
    uri=0x902f2a8
"pop://sangu.fedora%40gmail.com@pop.gmail.com/;use_ssl=always", data=0x8ea40a8)
at mail-send-recv.c:202
#11 0x0147aa1f in fetch_mail_fetched (mm=0x1) at mail-ops.c:380
#12 0x0147a765 in mail_msgport_replied (source=0x8abc428, cond=G_IO_IN, 
    d=0x8ae3f48) at mail-mt.c:461
#13 0x067d294d in g_io_unix_dispatch (source=0x8af8320, 
    callback=0x147a740 <mail_msgport_replied>, user_data=0x8ae3f48)
    at giounix.c:162
#14 0x067a9342 in IA__g_main_context_dispatch (context=0x8a49b00)
    at gmain.c:2045
#15 0x067ac31f in g_main_context_iterate (context=0x8a49b00, block=1, 
    dispatch=1, self=0x8a298f8) at gmain.c:2677
#16 0x067ac6c9 in IA__g_main_loop_run (loop=0x8a778e8) at gmain.c:2881
#17 0x00527a23 in bonobo_main () at bonobo-main.c:311
#18 0x0805d7fa in main (argc=1, argv=0xbf83e894) at main.c:615
#19 0x0767bf2c in __libc_start_main (main=0x805d420 <main>, argc=1, 
    ubp_av=0xbf83e894, init=0x805df44 <__libc_csu_init>, 
    fini=0x805df3c <__libc_csu_fini>, rtld_fini=0x642370 <_dl_fini>, 
    stack_end=0xbf83e88c) at libc-start.c:231
#20 0x0804f221 in _start ()

Thread 11 (Thread -1223930992 (LWP 4196)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 3071036304
#5  0x0042f3db in start_thread (arg=0xb70c4b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb70c4b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1223932760, -2074510490, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 10 (Thread -1244910704 (LWP 4199)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x077290c3 in *__GI___poll (fds=0x779eff4, nfds=2, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x067ac353 in g_main_context_iterate (context=0x8b9c120, block=1, 
    dispatch=1, self=0x8b96048) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 2
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8b9e8e8
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x067ac6c9 in IA__g_main_loop_run (loop=0x8b92f38) at gmain.c:2881
	got_ownership = 4395744
	self = (GThread *) 0x8b96048
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0073b624 in libnm_glib_init () from /usr/lib/libnm_glib.so.0
No symbol table info available.
#5  0x067c6fcf in g_thread_create_proxy (data=0x8b96048) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0042f3db in start_thread (arg=0xb5cc2b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb5cc2b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1244912472, -2036786330, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 9 (Thread -1234420848 (LWP 4200)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 3060546448
#5  0x0042f3db in start_thread (arg=0xb66c3b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb66c3b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1234422616, -2059859098, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 8 (Thread -1278362736 (LWP 4203)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 3016604560
#5  0x0042f3db in start_thread (arg=0xb3cdbb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb3cdbb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1278364504, -2137486490, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 7 (Thread -1288852592 (LWP 4204)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8abc370, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae3f00) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8abc310) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 3006114704
#5  0x0042f3db in start_thread (arg=0xb32dab90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb32dab90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1288854360, -2139579546, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 6 (Thread -1299342448 (LWP 4205)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x0043597e in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x004317fc in ?? () from /lib/libpthread.so.0
No symbol table info available.

Thread 5 (Thread -1310225520 (LWP 4206)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x077290c3 in *__GI___poll (fds=0x779eff4, nfds=8, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:87
	resultvar = <value optimized out>
	oldtype = 0
	result = <value optimized out>
#2  0x067ac353 in g_main_context_iterate (context=0x8eb7780, block=1, 
    dispatch=1, self=0x8a54118) at gmain.c:2979
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = -1
	some_ready = <value optimized out>
	nfds = 8
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8a54140
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x067ac6c9 in IA__g_main_loop_run (loop=0x8eb7800) at gmain.c:2881
	got_ownership = 4395744
	self = (GThread *) 0x8a54118
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x006152e0 in link_io_thread_fn (data=0x0) at linc.c:396
No locals.
#5  0x067c6fcf in g_thread_create_proxy (data=0x8a54118) at gthread.c:553
	__PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0042f3db in start_thread (arg=0xb1e78b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xb1e78b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1310227288, -2102215834, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#7  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 4 (Thread -1347433584 (LWP 4226)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 2947533712
#5  0x0042f3db in start_thread (arg=0xafafcb90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xafafcb90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1347435352, -1661273242, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 3 (Thread -1368413296 (LWP 4228)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 2926554000
#5  0x0042f3db in start_thread (arg=0xae6fab90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xae6fab90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1368415064, -1657103514, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 2 (Thread -1389393008 (LWP 4230)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x004331a6 in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x0678c642 in g_async_queue_pop_intern_unlocked (queue=0x8af84e0, 
    try=<value optimized out>, end_time=0x0) at gasyncqueue.c:334
	retval = <value optimized out>
	__PRETTY_FUNCTION__ = "g_async_queue_pop_intern_unlocked"
#3  0x0020843a in e_msgport_wait (msgport=0x8ae39b0) at e-msgport.c:678
	msg = (EMsg *) 0x0
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#4  0x002089f9 in thread_dispatch (din=0x8af8480) at e-msgport.c:1057
	e = <value optimized out>
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 2905574288
#5  0x0042f3db in start_thread (arg=0xad2f8b90) at pthread_create.c:296
	__res = <value optimized out>
	__ignore1 = <value optimized out>
	__ignore2 = <value optimized out>
	pd = (struct pthread *) 0xad2f8b90
	now = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {4448244, 0, 4001536, 
        -1389394776, -1636123802, 857197342}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 0}}}
	not_first_call = 0
	robust = <value optimized out>
#6  0x07732c2e in ?? () from /lib/libc.so.6
	fstab_state = {fs_fp = 0x0, fs_buffer = 0x0, fs_mntres = {
    mnt_fsname = 0x0, mnt_dir = 0x0, mnt_type = 0x0, mnt_opts = 0x0, 
    mnt_freq = 0, mnt_passno = 0}, fs_ret = {fs_spec = 0x0, fs_file = 0x0, 
    fs_vfstype = 0x0, fs_mntops = 0x0, fs_type = 0x0, fs_freq = 0, 
    fs_passno = 0}}
	__elf_set___libc_subfreeres_element_fstab_free__ = (
    const void *) 0x7770a10

Thread 1 (Thread -1208903456 (LWP 4188)):
#0  0xb7f45402 in __kernel_vsyscall ()
No symbol table info available.
#1  0x00436cab in ?? () from /lib/libpthread.so.0
No symbol table info available.
#2  0x003c9cf6 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:870
	estatus = 146142840
	sa = {__sigaction_handler = {sa_handler = 0, sa_sigaction = 0}, 
  sa_mask = {__val = {144890792, 146142844, 1, 0, 9757012, 9868916, 
      3213091228, 3213090984, 9667929, 146142840, 1084585016, 3213090984, 
      9868916, 3213091228, 2, 3213091016, 9658702, 146142844, 2, 1, 9752145, 
      0, 4, 146142844, 9868916, 3213091228, 146142840, 3213091032, 9659528, 
      146142840, 146142840, 3213091064}}, sa_flags = 9785420, 
  sa_restorer = 0xbf83e19c}
	pid = 0
	in_segv = 1
#3  0x0805d9c9 in segv_redirect (sig=11) at main.c:426
No locals.
#4  <signal handler called>
No symbol table info available.
#5  e_dlist_length (l=0x8ae39c8) at e-msgport.c:274
	nn = (EDListNode *) 0x2
	count = 1
#6  0x002086b4 in e_thread_put (e=0x8ae41f8, msg=0x8ba2fc8) at e-msgport.c:1124
	id = <value optimized out>
	dmsg = <value optimized out>
#7  0x0147b718 in mail_sync_folder (folder=0xaef01de8, done=0, data=0x0)
    at mail-ops.c:1501
No locals.
#8  0x0147f255 in free_folder_info (key=0xaef05638, info=0xaee8ba08, data=0x0)
    at mail-send-recv.c:170
No locals.
#9  0x0679c456 in IA__g_hash_table_foreach (hash_table=0x8da1ae0, 
    func=0x147f220 <free_folder_info>, user_data=0x0) at ghash.c:662
	node = (GHashNode *) 0xaee8bc80
	i = 1
	__PRETTY_FUNCTION__ = "IA__g_hash_table_foreach"
#10 0x0147f4f1 in receive_done (
    uri=0x902f2a8
"pop://sangu.fedora%40gmail.com@pop.gmail.com/;use_ssl=always", data=0x8ea40a8)
at mail-send-recv.c:202
No locals.
#11 0x0147aa1f in fetch_mail_fetched (mm=0x1) at mail-ops.c:380
No locals.
#12 0x0147a765 in mail_msgport_replied (source=0x8abc428, cond=G_IO_IN, 
    d=0x8ae3f48) at mail-mt.c:461
No locals.
#13 0x067d294d in g_io_unix_dispatch (source=0x8af8320, 
    callback=0x147a740 <mail_msgport_replied>, user_data=0x8ae3f48)
    at giounix.c:162
	buffer_condition = G_IO_IN
#14 0x067a9342 in IA__g_main_context_dispatch (context=0x8a49b00)
    at gmain.c:2045
No locals.
#15 0x067ac31f in g_main_context_iterate (context=0x8a49b00, block=1, 
    dispatch=1, self=0x8a298f8) at gmain.c:2677
	got_ownership = <value optimized out>
	max_priority = 2147483647
	timeout = 249
	some_ready = 1
	nfds = <value optimized out>
	allocated_nfds = <value optimized out>
	fds = (GPollFD *) 0x8e06c58
	__PRETTY_FUNCTION__ = "g_main_context_iterate"
#16 0x067ac6c9 in IA__g_main_loop_run (loop=0x8a778e8) at gmain.c:2881
	got_ownership = 4395744
	self = (GThread *) 0x8a298f8
	__PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#17 0x00527a23 in bonobo_main () at bonobo-main.c:311
	loop = (GMainLoop *) 0x8a778e8
#18 0x0805d7fa in main (argc=1, argv=0xbf83e894) at main.c:615
	fd = <value optimized out>
	uri_list = (GSList *) 0x0
	program = (GnomeProgram *) 0x8a2a428
	context = <value optimized out>
	icon_list = <value optimized out>
#19 0x0767bf2c in __libc_start_main (main=0x805d420 <main>, argc=1, 
    ubp_av=0xbf83e894, init=0x805df44 <__libc_csu_init>, 
    fini=0x805df3c <__libc_csu_fini>, rtld_fini=0x642370 <_dl_fini>, 
    stack_end=0xbf83e88c) at libc-start.c:231
	result = <value optimized out>
	unwind_buf = {cancel_jmp_buf = {{jmp_buf = {125431796, 6610080, 0, 
        -1081874328, -1932078938, 875726407}, mask_was_saved = 0}}, priv = {
    pad = {0x0, 0x0, 0x646eb0, 0x767be5d}, data = {prev = 0x0, cleanup = 0x0, 
      canceltype = 6581936}}}
	not_first_call = <value optimized out>
#20 0x0804f221 in _start ()
No symbol table info available.
#0  0xb7f45402 in __kernel_vsyscall ()


Version-Release number of selected component (if applicable):
2.8.0-4.fc6

How reproducible:
sometimes or always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
1.8.0-4.fc6
Comment 1 Matthew Barnes 2006-09-21 10:42:13 EDT
Yikes, I see the problem.  This is related to the patch I submitted for an
upstream bug [1].  I put it in Rawhide so that it gets more widespread testing.
 Glad you caught this!

The problem is that the 'queue' field in EMsgPort used to be an EDList but is
now a GAsyncQueue.  e_thread_put() wants to peek at the length of 'queue', but
it's still using e_dlist_length() rather than g_async_queue_length().

[1] http://bugzilla.gnome.org/show_bug.cgi?id=348888
Comment 2 Matthew Barnes 2006-09-21 15:05:27 EDT
Fixed in evolution-data-server-1.8.0-9.fc6.
Comment 3 Nicole Dai 2006-10-13 00:50:46 EDT
Confirmed this crash was not found in
evolution-2.8.0-6.fc6 
evolution-data-server-1.8.0-11.fc6 when normally using evolution, such as setup
account, new message, send/receive mails, etc.

Note You need to log in before you can comment on or make changes to this bug.